kr.co.hanwha.hifive.view

## Class HFToastView

- java.lang.Object
- - android.widget.Toast
  - - kr.co.hanwha.hifive.view.HFToastView

    public class HFToastView
    extends android.widget.Toast

Created by sanghoonkwon on 2018. 1. 11..

### Field Summary

Fields
`private android.content.Context` `mContext`
`private android.widget.ImageView` `mImageViewIcon`
`private android.widget.TextView` `mTextViewMessage`

### Fields inherited from class android.widget.Toast

`LENGTH_LONG, LENGTH_SHORT`

### Constructor Summary

Constructors
Constructor and Description
`HFToastView(android.content.Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private void` `show(android.widget.Toast toast, android.view.View v, int duration)`
`void` `showToast(java.lang.String message, int duration)`
`void` `showToast(java.lang.String message, int iconRes, int duration)`

### Methods inherited from class android.widget.Toast

`cancel, getDuration, getGravity, getHorizontalMargin, getVerticalMargin, getView, getXOffset, getYOffset, makeText, makeText, setDuration, setGravity, setMargin, setText, setText, setView, show`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mContext

    private android.content.Context mContext

#### mImageViewIcon

    private android.widget.ImageView mImageViewIcon

#### mTextViewMessage

    private android.widget.TextView mTextViewMessage

### Constructor Detail

#### HFToastView

    public HFToastView(android.content.Context context)

### Method Detail

#### showToast

    public void showToast(java.lang.String message,
                          int duration)

#### showToast

    public void showToast(java.lang.String message,
                          int iconRes,
                          int duration)

#### show

    private void show(android.widget.Toast toast,
                      android.view.View v,
                      int duration)